<script lang="ts">
  import '../../app.scss';
  import Notifications from 'svelte-notifications';
  import Navbar from '$lib/layout/Navbar.svelte';
  import Footer from '$lib/layout/Footer.svelte';
  import Env from '$lib/env';
</script>

<svelte:head>
  {#if Env.UmamiTrackingId}
    <!-- Umami user activity tracking -->
    <script defer src="https://cloud.umami.is/script.js" data-website-id={Env.UmamiTrackingId}></script>
  {/if}
</svelte:head>

<main class="flex flex-col h-full">
  <Notifications>
    <Navbar />
    <div class="flex-grow mx-auto w-full overflow-auto">
      <slot />
    </div>
    <Footer />
  </Notifications>
  <!--  <ScrollToTop />-->
</main>
